Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator dealing with vectors of int-valued data.
   /// </summary>
+  [StorableType("af579b6f-34f2-4738-9c18-aab47c84d519")]
   public interface IIntegerVectorOperator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("6ab31b1b-fd5b-4608-a4df-d89ce349408b")]
   public interface IIntegerVectorStdDevStrategyParameterCreator : IIntegerVectorStdDevStrategyParameterOperator, IStrategyParameterCreator {
     ILookupParameter<DoubleArray> StrategyParameterParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCrossover.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("03f9ab7f-8cc3-4824-b325-a0c6e25ffba1")]
   public interface IIntegerVectorStdDevStrategyParameterCrossover : IIntegerVectorStdDevStrategyParameterOperator, IStrategyParameterCrossover {
     ILookupParameter<DoubleArray> StrategyParameterParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterManipulator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("ff8ce4b1-be84-4dc5-871b-812b7ad90d8e")]
   public interface IIntegerVectorStdDevStrategyParameterManipulator : IIntegerVectorStdDevStrategyParameterOperator, IStrategyParameterManipulator {
     ILookupParameter<DoubleArray> StrategyParameterParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("4b1b9c96-13dd-42ce-813a-6d7e3403ccb6")]
   public interface IIntegerVectorStdDevStrategyParameterOperator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
+  [StorableType("0138e426-76ac-4b7b-bc8a-35c3ec7a4224")]
   public interface ILinearLinkageCreator : ISolutionCreator, ILinearLinkageOperator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageCrossover.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
+  [StorableType("233a1cc9-a0ec-4431-9492-b5ff7d5de6cc")]
   public interface ILinearLinkageCrossover : ICrossover, ILinearLinkageOperator {
     ILookupParameter<LinearLinkage> ChildParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageManipulator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
+  [StorableType("c1d50778-88a0-41c5-9526-368f7d4a6445")]
   public interface ILinearLinkageManipulator : IManipulator, ILinearLinkageOperator {
     ILookupParameter<LinearLinkage> LLEParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageMoveOperator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
@@ -31,4 +32,5 @@
   /// See <see cref="ILinearLinkageSwap2MoveOperator"/> for a reference implementation.
   /// </summary>
+  [StorableType("ce997145-cc6d-4d23-bafb-10b015f47a00")]
   public interface ILinearLinkageMoveOperator : IMoveOperator, ILinearLinkageOperator {
     ILookupParameter<LinearLinkage> LLEParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
+  [StorableType("71692af0-d7c1-48ff-8c68-633458ea8880")]
   public interface ILinearLinkageOperator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageShakingOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
+  [StorableType("40a0c8f1-b2f5-46fa-8ec2-114afccc7aee")]
   public interface ILinearLinkageShakingOperator : ILinearLinkageOperator {
     ILookupParameter<LinearLinkage> LLEParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageSwap2MoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageSwap2MoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Interfaces/ILinearLinkageSwap2MoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
+  [StorableType("bde2e08b-bc68-4866-b52f-5430cfa6036d")]
   public interface ILinearLinkageSwap2MoveOperator : ILinearLinkageMoveOperator {
     ILookupParameter<Swap2Move> Swap2MoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationCreator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for creating permutations.
   /// </summary>
+  [StorableType("ff0731f2-e21e-46bc-a8a7-88eb2642308b")]
   public interface IPermutationCreator : IPermutationOperator, ISolutionCreator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationCrossover.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for crossing permutations.
   /// </summary>
+  [StorableType("eddf4eb4-ce20-4370-a56a-452b8c2c07af")]
   public interface IPermutationCrossover : IPermutationOperator, ICrossover {
     ILookupParameter<ItemArray<Permutation>> ParentsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationInversionMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationInversionMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationInversionMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("a1e47030-b87e-44ab-b880-b9e585232a47")]
   public interface IPermutationInversionMoveOperator : IPermutationMoveOperator {
     ILookupParameter<InversionMove> InversionMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationManipulator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for manipulating solutions.
   /// </summary>
+  [StorableType("7f303722-095a-4e05-b32d-0c5841fd35be")]
   public interface IPermutationManipulator : IPermutationOperator, IManipulator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("916135e7-6f62-4863-a576-9d8b82f74af3")]
   public interface IPermutationMoveOperator : IPermutationOperator, IMoveOperator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationMultiNeighborhoodShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("d17e606e-f38e-4d62-b02f-7ee25ccc0edd")]
   public interface IPermutationMultiNeighborhoodShakingOperator : IMultiNeighborhoodShakingOperator, IPermutationOperator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator dealing with permutations.
   /// </summary>
+  [StorableType("3f03dc6e-f215-43d7-8bd3-6e0a2ba9f095")]
   public interface IPermutationOperator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationScrambleMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationScrambleMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationScrambleMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("8179e2c6-a43a-4919-9046-f8b88e6e960a")]
   public interface IPermutationScrambleMoveOperator : IPermutationMoveOperator {
     ILookupParameter<ScrambleMove> ScrambleMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationSwap2MoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationSwap2MoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationSwap2MoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("858d37d9-5351-49de-ba6a-b2a1ba358164")]
   public interface IPermutationSwap2MoveOperator : IPermutationMoveOperator {
     ILookupParameter<Swap2Move> Swap2MoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationTranslocationMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationTranslocationMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Interfaces/IPermutationTranslocationMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("f40c2980-4a09-424c-9ad7-449a12b9df94")]
   public interface IPermutationTranslocationMoveOperator : IPermutationMoveOperator {
     ILookupParameter<TranslocationMove> TranslocationMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationTypes.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationTypes.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationTypes.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
+  [StorableType("c263bb41-17ce-4757-9164-04d83141ac40")]
   public enum PermutationTypes {
     RelativeDirected,
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 14929)
@@ -24,7 +24,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization.Operators;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("Hamming Similarity Calculator for Permutation", "An operator that performs similarity calculation between two permutation-encoded solutions.")]
+  [StorableType("f60f68af-cb7a-43d2-bd41-c96627c40a56")]
   public sealed class HammingSimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IAdditiveRealVectorMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IAdditiveRealVectorMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IAdditiveRealVectorMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("4c34d0bb-05c6-4291-9eb7-002c567fd255")]
   public interface IAdditiveRealVectorMoveOperator : IRealVectorMoveOperator {
     ILookupParameter<AdditiveMove> AdditiveMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorBoundsChecker.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorBoundsChecker.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorBoundsChecker.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("c27ee5f3-c7b7-44c6-9135-c59a097c12c1")]
   public interface IRealVectorBoundsChecker : IOperator {
     LookupParameter<RealVector> RealVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCreator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for creating vectors of real-valued data.
   /// </summary>
+  [StorableType("bc6f3acd-5c17-4854-b0c6-299823106286")]
   public interface IRealVectorCreator : IRealVectorOperator, ISolutionCreator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCrossover.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for crossing vectors of real-valued data.
   /// </summary>
+  [StorableType("3939d5b9-edcb-46a9-ac52-41a0d63bb3fd")]
   public interface IRealVectorCrossover : IRealVectorOperator, ICrossover {
     ILookupParameter<ItemArray<RealVector>> ParentsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorManipulator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for manipulating vectors of real-valued data.
   /// </summary>
+  [StorableType("b5856823-55d2-4ace-b8a9-ac7457695dc5")]
   public interface IRealVectorManipulator : IRealVectorOperator, IManipulator {
     ILookupParameter<RealVector> RealVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveGenerator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveGenerator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveGenerator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("aff0fbe3-12e5-4ea4-b8e9-352c3eb7869f")]
   public interface IRealVectorMoveGenerator : IRealVectorMoveOperator, IMoveGenerator {
     IValueLookupParameter<DoubleMatrix> BoundsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("ca48c1d6-217a-49d1-8e71-f06d04087f46")]
   public interface IRealVectorMoveOperator : IRealVectorOperator, IMoveOperator {
     ILookupParameter<RealVector> RealVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMultiNeighborhoodShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("16e21e95-b6bc-4bb3-8725-3c5ca0ce1201")]
   public interface IRealVectorMultiNeighborhoodShakingOperator : IRealVectorOperator {
     ILookupParameter<RealVector> RealVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator dealing with vectors of real-valued data.
   /// </summary>
+  [StorableType("3f054bdf-781b-49a6-b590-6077e71209fd")]
   public interface IRealVectorOperator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("17aefe81-633a-47fe-8268-7ccb0a9dd51d")]
   public interface IRealVectorParticleCreator : IParticleCreator, IRealVectorOperator {
     ILookupParameter<IntValue> ProblemSizeParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleUpdater.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleUpdater.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleUpdater.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("048fec0c-8e11-4c92-89ee-e8e17fee1297")]
   public interface IRealVectorParticleUpdater : IParticleUpdater, IRealVectorOperator {
     ILookupParameter<RealVector> VelocityParameter { get; }
